Bug 1658207 - Adding second EC2 Cloud Provider results in "Url has already been taken"
Summary: Adding second EC2 Cloud Provider results in "Url has already been taken"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Alexander Zagaynov
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard: ec2:provider
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 14:03 UTC by Matouš Mojžíš
Modified: 2019-02-12 16:51 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:51:06 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)

Description Matouš Mojžíš 2018-12-11 14:03:48 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.10.0.28

How reproducible:
Always

Steps to Reproduce:
1.Add an ec2 provider with any region 
2.Add an ec2 provider with any region
3.

Actual results:
Flash message: "Url has already been taken" and provider is not added.
Probably Endpoint URL is now unique? I left that field empty for both providers.

Expected results:


Additional info:

Comment 4 Bronagh Sorota 2018-12-13 19:57:08 UTC
Hi Alex,
Can you please prioritize this, it is a blocker.

Thanks
Bronagh

Comment 5 Alexander Zagaynov 2018-12-17 15:41:14 UTC
PR: https://github.com/ManageIQ/manageiq/pull/18298

Comment 8 CFME Bot 2018-12-20 17:56:29 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/11c820248cb09df93f3d7b4d66e43eac6bbd1006
commit 11c820248cb09df93f3d7b4d66e43eac6bbd1006
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Dec 20 12:29:13 2018 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Dec 20 12:29:13 2018 -0500

    Merge pull request #18298 from AlexanderZagaynov/BZ-1658207

    fix endpoint url uniqueness validation, and disable it for cloud providers

    (cherry picked from commit b8927b0e9ff881f55152967a870a98df22a59c58)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1658207

 app/models/endpoint.rb | 6 +-
 app/models/ext_management_system.rb | 2 +
 app/models/manageiq/providers/cloud_manager.rb | 2 +
 spec/models/endpoint_spec.rb | 17 +-
 4 files changed, 24 insertions(+), 3 deletions(-)

Comment 9 Matouš Mojžíš 2019-01-21 11:16:22 UTC
Verified in 5.10.0.32. I can add multiple ec2 providers without specifying URL(Empty).


Note You need to log in before you can comment on or make changes to this bug.